<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs for page Akismet.class.php</title>
			<link rel="stylesheet" href="../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="file-name">/Akismet.class.php</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
							<a href="#sec-classes">Classes</a>
			|													<a href="#sec-functions">Functions</a>
			</div>
	<div class="info-box-body">	
		<!-- ========== Info from phpDoc block ========= -->
	<ul class="tags">
				<li><span class="field">license:</span> <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a></li>
				<li><span class="field">copyright:</span> Alex Potsides, <a href="http://www.achingbrain.net">http://www.achingbrain.net</a></li>
				<li><span class="field">version:</span> 0.1</li>
				<li><span class="field">author:</span> Alex Potsides, <a href="http://www.achingbrain.net">http://www.achingbrain.net</a></li>
			</ul>
		
			</div>
</div>
		
	<a name="sec-classes"></a>	
	<div class="info-box">
		<div class="info-box-title">Classes</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
			<span class="disabled">Classes</span>
			|																<a href="#sec-functions">Functions</a>
					</div>
		<div class="info-box-body">	
			<table cellpadding="2" cellspacing="0" class="class-table">
				<tr>
					<th class="class-table-header">Class</th>
					<th class="class-table-header">Description</th>
				</tr>
								<tr>
					<td style="padding-right: 2em; vertical-align: top">
						<a href="../akismet/Akismet.html">Akismet</a>
					</td>
					<td>
											
										</td>
				</tr>
							</table>
		</div>
	</div>

	
	
	
	<a name="sec-functions"></a>	
	<div class="info-box">
		<div class="info-box-title">Functions</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
							<a href="#sec-classes">Classes</a>
				|															<span class="disabled">Functions</span>
		</div>
		<div class="info-box-body">	
			<a name="functionsetAkismetServer" id="functionsetAkismetServer"><!-- --></a>
<div class="evenrow">
	
	<div>
		<span class="method-title">setAkismetServer</span> (line <span class="line-number">179</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setAkismetServer
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$akismetServer</span>)
			</div>

		
	
</div>
<a name="functionsetAkismetVersion" id="functionsetAkismetVersion"><!-- --></a>
<div class="oddrow">
	
	<div>
		<span class="method-title">setAkismetVersion</span> (line <span class="line-number">184</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setAkismetVersion
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$akismetVersion</span>)
			</div>

		
	
</div>
<a name="functionsetAPIPort" id="functionsetAPIPort"><!-- --></a>
<div class="evenrow">
	
	<div>
		<span class="method-title">setAPIPort</span> (line <span class="line-number">174</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setAPIPort
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$apiPort</span>)
			</div>

		
	
</div>
<a name="functionsetCommentAuthor" id="functionsetCommentAuthor"><!-- --></a>
<div class="oddrow">
	
	<div>
		<span class="method-title">setCommentAuthor</span> (line <span class="line-number">154</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentAuthor
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentAuthor</span>)
			</div>

		
	
</div>
<a name="functionsetCommentAuthorEmail" id="functionsetCommentAuthorEmail"><!-- --></a>
<div class="evenrow">
	
	<div>
		<span class="method-title">setCommentAuthorEmail</span> (line <span class="line-number">159</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentAuthorEmail
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$authorEmail</span>)
			</div>

		
	
</div>
<a name="functionsetCommentAuthorURL" id="functionsetCommentAuthorURL"><!-- --></a>
<div class="oddrow">
	
	<div>
		<span class="method-title">setCommentAuthorURL</span> (line <span class="line-number">164</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentAuthorURL
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$authorURL</span>)
			</div>

		
	
</div>
<a name="functionsetCommentContent" id="functionsetCommentContent"><!-- --></a>
<div class="evenrow">
	
	<div>
		<span class="method-title">setCommentContent</span> (line <span class="line-number">169</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentContent
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentBody</span>)
			</div>

		
	
</div>
<a name="functionsetCommentType" id="functionsetCommentType"><!-- --></a>
<div class="oddrow">
	
	<div>
		<span class="method-title">setCommentType</span> (line <span class="line-number">149</span>)
	</div> 

	<!-- ========== Info from phpDoc block ========= -->
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setCommentType
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$commentType</span>)
			</div>

		
	
</div>
		</div>
	</div>
	
	<p class="notes" id="credit">
		Documentation generated on Thu, 12 Jan 2006 09:40:23 +0000 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.3.0RC5</a>
	</p>
	</div></body>
</html>